#include "listwidget.h"

ListWidget::ListWidget(QWidget *parent) :
    QListWidget(parent)
{
  menu = new QMenu(this);
  removeAction = new QAction("Remove",this);
  menu->addAction(removeAction);
  connect(removeAction,SIGNAL(triggered()),this,SLOT(on_removeAction()));
}

void ListWidget::on_removeAction()
{
  if (count()>0) {
    for (int i = 0; i < count(); ++i) {
      if (item(i)->isSelected()) {
        comboBox->addItem(item(i)->text()); // как получить к нему доступ?
        removeItemWidget(takeItem(i));
        i--;
      }
    }
  }
  qDebug()<<"removed";
}
