#ifndef LISTWIDGET_H
#define LISTWIDGET_H

#include <QListWidget>

class ListWidget : public QListWidget
{
    Q_OBJECT
public:
  ListWidget(QWidget *parent = 0);

private:
  QAction *removeAction;
  QMenu *menu;

private slots:
  void on_removeAction();

protected:
  void contextMenuEvent(QContextMenuEvent* e);

};

#endif // LISTWIDGET_H
